routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes(['verify'=> true]);

Route::get('/', 'HomeController@index')->name('index')->middleware('verified');
Route::get('lang/{locale}', 'HomeController@lang');

Route::view('requirement','requirement')->name('requirement');

Route::view('price','price')->name('price');

Route::view('contact','contact')->name('contact');

Route::view('gallery','gallery')->name('gallery');

Route::resource('profile', 'ProfileController');

Route::get('dashboard','DashboardController@index')->name('dashboard.index');

Route::resource('service', 'ServiceController');

Route::resource('driver', 'DriverController');

Route::resource('order', 'OrderController');

app/Order.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * App\Order
 *
 * @property int $id
 * @property string|null $receipt
 * @property string|null $reserved
 * @property string|null $confirmed
 * @property string $surname
 * @property string $name
 * @property string|null $patronymic
 * @property string $birthday
 * @property string $birthplace
 * @property string $address
 * @property string $passport_series
 * @property string $passport_number
 * @property string $passport_issued
 * @property string $passport_date
 * @property array $phones
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property int $user_id
 * @property int $service_id
 * @property-read \App\Service $service
 * @property-read \App\User $user
 * @method static bool|null forceDelete()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order newQuery()
 * @method static \Illuminate\Database\Query\Builder|\App\Order onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order query()
 * @method static bool|null restore()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereBirthday($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereBirthplace($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereConfirmed($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order wherePassportDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order wherePassportIssued($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order wherePassportNumber($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order wherePassportSeries($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order wherePatronymic($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order wherePhones($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereReceipt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereReserved($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereServiceId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereSurname($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Order whereUserId($value)
 * @method static \Illuminate\Database\Query\Builder|\App\Order withTrashed()
 * @method static \Illuminate\Database\Query\Builder|\App\Order withoutTrashed()
 * @mixin \Eloquent
 */
class Order extends Model
{
    use SoftDeletes;

    protected $guarded = [];

    public function user() {
        return $this->belongsTo(User::class);
    }

    public function service() {
        return $this->belongsTo(Service::class);
    }

    public function driver() {
        return $this->belongsTo(Driver::class);
    }
}

app/Http/Controllers/OrderController.php
<?php

namespace App\Http\Controllers;

use App\Driver;
use App\Http\Requests\StoreDriverRequest;
use App\Http\Requests\StoreOrderRequest;
use App\Http\Requests\UpdateDriverRequest;
use App\Http\Requests\UpdateOrderRequest;
use App\Order;
use App\Service;
use DB;
use Illuminate\Http\Response;
use Illuminate\Pagination\LengthAwarePaginator;
use Image;
use Validator;

class OrderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return LengthAwarePaginator
     */
    public function index()
    {
        return response(Order::paginate(25));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create()
    {
        $profile = auth()->user()->profile;
        $services = Service::all();
        return view('order.create', compact(['profile', 'services']));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param StoreOrderRequest $storeOrderRequest
     * @return void
     */
    public function store(StoreOrderRequest $storeOrderRequest)
    {
        DB::beginTransaction();

        $storeDriverRequest = (new StoreDriverRequest([], $storeOrderRequest->all(), [], [], $storeOrderRequest->allFiles(), [], []))
            ->setValidator(Validator::make($storeOrderRequest->all(), (new StoreDriverRequest)->rules()));

        $driver = (new DriverController())->store($storeDriverRequest);

        $order = Order::create(array_merge($storeOrderRequest->validated(), ['user_id' => auth()->user()->id,
            'driver_id' => $driver->id]));

        $this->storeImage($order);

        DB::commit();

        return redirect(route('order.edit', compact('order')));
    }

    /**
     * Display the specified resource.
     *
     * @param Order $order
     * @return Response
     */
    public function show(Order $order)
    {
        $driver = $order->driver()->firstOrFail();
        $services = Service::all();
        return view('order.show', compact(['order', 'driver', 'services']));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param Order $order
     * @return void
     */
    public function edit(Order $order)
    {
        $driver = $order->driver()->firstOrFail();
        $services = Service::all();
        return view('order.edit', compact(['order', 'driver', 'services']));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param UpdateOrderRequest $updateOrderRequest
     * @param Order $order
     * @return void
     * @throws \Exception
     */
    public function update(UpdateOrderRequest $updateOrderRequest, Order $order)
    {
        DB::beginTransaction();

        $updateDriverRequest = (new UpdateDriverRequest([], $updateOrderRequest->all(), [], [], $updateOrderRequest->allFiles(), [], []))
            ->setValidator(Validator::make($updateOrderRequest->all(), (new UpdateDriverRequest)->rules()));

        $order->driver()->update($updateDriverRequest->validated());

        $order->update($updateOrderRequest->validated());

        $this->storeImage($order);

        DB::commit();

        return redirect(route('order.edit', compact('order')));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param Order $order
     * @return Response
     * @throws \Exception
     */
    public function destroy(Order $order)
    {
        //
        $order->delete();
        return redirect(route('index'));
    }

    private function storeImage($order)
    {
        if (request()->has('receipt')) {
            $order->update([
                'receipt' => request()->receipt->store('uploads/receipt', 'public'),
            ]);
            Image::make(public_path('storage/' . $order->receipt))
                ->fit(300, 300, null, 'center')->save();
        }
    }
}

resources/views/order/create.blade.php
@extends('layouts.app')

<script type="text/javascript" src="{{ mix('js/phoneMask.js') }}"></script>
<script type="text/javascript" src="{{ mix('js/phoneInput.js') }}"></script>

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('order.order') }}</div>

                    <div class="card-body">
                        <form method="POST" action="{{ route('order.store') }}" enctype="multipart/form-data">
                            @include('order.form')
                            <div class="form-group row mb-0">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('order.save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/order/edit.blade.php
@extends('layouts.app')

<script type="text/javascript" src="{{ mix('js/phoneMask.js') }}"></script>
<script type="text/javascript" src="{{ mix('js/phoneInput.js') }}"></script>

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('order.order') }}</div>

                    <div class="card-body">
                        <form method="POST" action="{{ route('order.update',['order' => $order->id]) }}" enctype="multipart/form-data">
                            @method('PUT')
                            @include('order.form')
                            <div class="form-group row mb-0">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('order.save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/order/form.blade.php
<div class="form-group row">
    <label for="category" class="col-md-4 col-form-label text-md-right">{{ __('service.category') }}</label>

    <div class="col-md-6">
        <select name="service_id" id="service_id" class="form-control @error('service_id') is-invalid @enderror" required>
            <option value="" selected>{{__('service.choose_category')}}</option>
            @foreach($services as $service)
                @if(isset($order->service) && ($order->service_id == $service->id) )
                    <option value="{{$service->id}}" selected>{{$service->category}} - {{$service->title}}</option>
                @elseif(old('service_id') == $service->id)
                    <option value="{{$service->id}}" selected>{{$service->category}} - {{$service->title}}</option>
                @else
                    <option value="{{$service->id}}">{{$service->category}} - {{$service->title}}</option>
                @endif
            @endforeach
        </select>
        @error('service_id')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

@include('driver.form')

<hr>

<div class="form-group row align-items-end">
    <div class="col-md-4 col-form-label text-md-right">
        <img width="100px" height="100px"
             src="{{ (isset($order->receipt) && (!is_null($order->receipt))) ? asset('storage/' . $order->receipt) : '' }}"
             alt="Image" onclick="event.preventDefault();
                                                     document.getElementById('image').click();">
    </div>
    <div class="col-md-6">
        <div class="custom-file">
            <input id="image" type="file"
                   class="custom-file-input @error('receipt') is-invalid @enderror" name="receipt">
            <label for="receipt" class="custom-file-label">{{__('order.choose_file')}}</label>
            @error('receipt')
            <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
            @enderror
        </div>
    </div>
</div>
@csrf

resources/views/order/show.blade.php
@extends('layouts.app')

<script type="text/javascript" src="{{ mix('js/phoneMask.js') }}"></script>
<script type="text/javascript" src="{{ mix('js/phoneInput.js') }}"></script>
<script type="text/javascript" src="{{ mix('js/order/show.js') }}"></script>

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('order.order') }}</div>

                    <div class="card-body">
                        <form method="GET" action="{{ route('order.show',['order' => $order->id]) }}" enctype="multipart/form-data" id="show_order_form">
                            @method('GET')
                            @include('order.form')
                            <div class="form-group row mb-0">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('order.save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection